#include <sqlite3.h>
#include <libsqlitewrapped.h>

int main()
{
	StderrLog log;
	Database db("tutorial.db", &log);
	if (!db.Connected())
	{
		printf("Database not connected - exiting\n");
		exit(-1);
	}
	Query q(db);
	q.get_result("select * from player");
	while (q.fetch_row())
	{
		long num = q.getval();
		std::string name = q.getstr();
		printf("#%ld: %s\n", num, name.c_str());
	}
	q.free_result();
}

