#include <sqlite3.h>
#include <libsqlitewrapped.h>

int main()
{
	StderrLog log;
	Database db("tutorial.db", &log);
	if (!db.Connected())
	{
		printf("Database not connected - exiting\n");
		exit(-1);
	}
	Query q(db);
	long num_to_delete = q.get_count("select num from player where name='Lorangrym'");
	if (num_to_delete)
	{
		char sql[1000];
		sprintf(sql, "delete from player where num=%ld", num_to_delete);
		q.execute(sql);
		sprintf(sql, "delete from playerresource where player=%ld", num_to_delete);
		q.execute(sql);
	}
}

